FreeBSD : go -- remote denial of service (f2217cdf-01e4-11e6-b1ce-002590263bf5)

Medium Nessus Plugin ID 90521


The remote FreeBSD host is missing a security-related update.


Jason Buberel reports :

Go has an infinite loop in several big integer routines that makes Go programs vulnerable to remote denial of service attacks. Programs using HTTPS client authentication or the Go ssh server libraries are both exposed to this vulnerability.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 90521

File Name: freebsd_pkg_f2217cdf01e411e6b1ce002590263bf5.nasl

Version: $Revision: 2.3 $

Type: local

Published: 2016/04/14

Modified: 2016/10/19

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P


Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:go, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2016/04/14

Vulnerability Publication Date: 2016/04/05

Reference Information

CVE: CVE-2016-3959